#!/bin/bash
set -e
mkdir -p dev-23a
cd dev-23a
# clone repo if it doesn't exist yet
[ -d 'spack-environments' ] || git clone git@gitlab.gwdg.de:mpsd-cs/spack-environments.git 
pushd spack-environments
git checkout dev-23a
popd
mkdir -p sandybridge
cd sandybridge
../spack-environments/spack_setup.sh -b global 
../spack-environments/spack_setup.sh foss2021a-serial
../spack-environments/spack_setup.sh foss2021a-mpi
../spack-environments/spack_setup.sh foss2021a-cuda-mpi
